libpqxx-4.0.1-alt2_13.i586.rpm


Advertisement

Description

libpqxx - C++ client API for PostgreSQL

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libpqxx-4.0.1-alt2_13.i586.rpm
Package name libpqxx
Package version 4.0.1
Package release alt2_13
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 642.74 KB
Installed size 642.74 KB
C++ client API for PostgreSQL. The standard front-end (in the sense of
"language binding") for writing C++ programs that use PostgreSQL.
Supersedes older libpq++ interface.

Alternatives

Package Version Architecture Repository
libpqxx-4.0.1-alt2_13.x86_64.rpm 4.0.1 x86_64 Classic
libpqxx - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libpq.so.5 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libpqxx = 1:4.0.1-alt2_13
libpqxx-4.0.so -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libpqxx-4.0.1-alt2_13.i586.rpm
Source Package libpqxx-4.0.1-alt2_13.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpqxx rpm package:
    # sudo apt-get install libpqxx

Files

Path
/usr/lib/libpqxx-4.0.so
/usr/share/doc/libpqxx-4.0.1/AUTHORS
/usr/share/doc/libpqxx-4.0.1/COPYING
/usr/share/doc/libpqxx-4.0.1/ChangeLog
/usr/share/doc/libpqxx-4.0.1/NEWS
/usr/share/doc/libpqxx-4.0.1/README
/usr/share/doc/libpqxx-4.0.1/VERSION

Changelog

2018-05-07 - Igor Vlasenko <viy@altlinux.ru> 1:4.0.1-alt2_13
- update to new release by fcimport
2018-01-17 - Aleksei Nikiforov <darktemplar@altlinux.org> 1:4.0.1-alt2_10
- Updated build dependencies.
2017-09-27 - Igor Vlasenko <viy@altlinux.ru> 1:4.0.1-alt1_10
- update to new release by fcimport
2017-08-03 - Igor Vlasenko <viy@altlinux.ru> 1:4.0.1-alt1_8
- update to new release by fcimport
2016-02-15 - Igor Vlasenko <viy@altlinux.ru> 1:4.0.1-alt1_6
- update to new release by fcimport
2015-12-27 - Igor Vlasenko <viy@altlinux.ru> 1:4.0.1-alt1_5
- update to new release by fcimport
2015-07-11 - Gleb F-Malinovskiy <glebfm@altlinux.org> 1:3.2-alt2_0.6.1
- Rebuilt for gcc5 C++11 ABI (ALT#31135).
2014-06-03 - Igor Vlasenko <viy@altlinux.ru> 1:3.2-alt2_0.6
- fixed build
2013-09-24 - Igor Vlasenko <viy@altlinux.ru> 1:3.2-alt1_0.6
- update to new release by fcimport
2013-08-12 - Igor Vlasenko <viy@altlinux.ru> 1:3.2-alt1_0.5
- update to new release by fcimport

See Also

Package Description
libpqxx-devel-4.0.1-alt2_13.i586.rpm Development tools for libpqxx
libprelude-5.0.0-alt1_1.i586.rpm Secure Connections between all Sensors and the Prelude Manager
libprelude-devel-5.0.0-alt1_1.i586.rpm Libraries and headers for developing Prelude sensors
libpreludedb-5.0.0-alt1_1.1.i586.rpm Framework for easy access to the IDMEF database
libpreludedb-devel-5.0.0-alt1_1.1.i586.rpm Libraries and headers for PreludeDB
libprimme-1.1-alt13.i586.rpm Shared libraries of PRIMME
libprimme-devel-1.1-alt13.i586.rpm Development files of PRIMME
libprison0-1.1.1-alt1.i586.rpm Qt api to produce QRCode and DataMatrix barcodes
libprocesscore7-5.12.8-alt1.i586.rpm KF5 library
libprocessui7-5.12.8-alt1.i586.rpm KF5 library
libprocps-3.3.7-alt2.i586.rpm procps shared library
libprocps-devel-3.3.7-alt2.i586.rpm Development files for building procps-aware applications
libprogsreiserfs-0.3.0.5-alt3.i586.rpm Shared library for reiserfs utilities
libprogsreiserfs-devel-0.3.0.5-alt3.i586.rpm Files required to compile software that uses libprogsreiserfs
libprogsreiserfs-devel-static-0.3.0.5-alt3.i586.rpm Files required to compile statically linked software that uses libprogsreiserfs
Advertisement
Advertisement